## ros-one-theora-image-transport 1.15.0-9noble.20251023.0334

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(theora_image_transport)

find_package(OpenCV REQUIRED)
find_package(catkin REQUIRED COMPONENTS cv_bridge dynamic_reconfigure image_transport message_generation rosbag pluginlib std_msgs)

add_message_files(DIRECTORY msg FILES Packet.msg)

generate_messages(DEPENDENCIES std_msgs)

find_package(PkgConfig)
pkg_check_modules(PC_OGG REQUIRED ogg)
pkg_check_modules(PC_THEORA REQUIRED theora)
pkg_check_modules(PC_THEORAENC REQUIRED theoraenc)
pkg_check_modules(PC_THEORADEC REQUIRED theoradec)


# generate the dynamic_reconfigure config file
generate_dynamic_reconfigure_options(cfg/TheoraPublisher.cfg cfg/TheoraSubscriber.cfg)

catkin_package(
  INCLUDE_DIRS include
  LIBRARIES ${PROJECT_NAME}
  CATKIN_DEPENDS message_runtime std_msgs
)

include_directories(include
  ${catkin_INCLUDE_DIRS}
  ${OpenCV_INCLUDE_DIRS}
  ${PC_OGG_INCLUDE_DIRS}
  ${PC_THEORA_INCLUDE_DIRS}
  ${PC_THEORAENC_INCLUDE_DIRS}
  ${PC_THEORADEC_INCLUDE_DIRS}
)

link_directories(${PC_OGG_LIBRARY_DIRS} 
                 ${PC_THEORA_LIBRARY_DIRS}
                 ${PC_THEORAENC_LIBRARY_DIRS}
                 ${PC_THEORADEC_LIBRARY_DIRS})
add_definitions(${PC_OGG_CFLAGS_OTHER} 
                ${PC_THEORA_CFLAGS_OTHER}
                ${PC_THEORAENC_CFLAGS_OTHER}
                ${PC_THEORADEC_CFLAGS_OTHER}
)

add_library(${PROJECT_NAME} src/theora_publisher.cpp src/theora_subscriber.cpp src/manifest.cpp)
add_dependencies(${PROJECT_NAME} ${PROJECT_NAME}_gencfg ${PROJECT_NAME}_gencpp)
target_link_libraries(${PROJECT_NAME} ${catkin_LIBRARIES}
                                      ${OpenCV_LIBRARIES}
                                      ${PC_OGG_LIBRARIES}
                                      ${PC_THEORA_LIBRARIES}
                                      ${PC_THEORAENC_LIBRARIES}
                                      ${PC_THEORADEC_LIBRARIES}
)

class_loader_hide_library_symbols(${PROJECT_NAME})

add_executable(ogg_saver src/ogg_saver.cpp)
target_link_libraries(ogg_saver ${PC_THEORA_LIBRARY} 
                                ${PC_OGG_LIBRARY} 
                                ${OpenCV_LIBRARIES} 
                                ${catkin_LIBRARIES}  
                                ${PC_THEORAENC_LIBRARIES}
                                ${PC_THEORADEC_LIBRARIES})
add_dependencies(ogg_saver ${PROJECT_NAME}_gencpp)

install(TARGETS ${PROJECT_NAME}
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_GLOBAL_BIN_DESTINATION}
)
install(TARGETS ogg_saver
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)
install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
)

# add xml file
install(FILES theora_plugins.xml
        DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

## ros-one-theora-image-transport 1.15.0-9jammy.20251023.0337

=== debian/changelog ===
ros-one-theora-image-transport (1.15.0-9jammy.20251023.0337) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Kenji Brameld <kenjibrameld@gmail.com>  Thu, 23 Oct 2025 03:37:29 +0000

ros-one-theora-image-transport (1.15.0-0jammy) jammy; urgency=high

  * Update maintainer in ros1 branches (#132 <https://github.com/ros-perception/image_transport_plugins/issues/132>)
  * Fix copyright year 20012 -> 2012 (#80 <https://github.com/ros-perception/image_transport_plugins/issues/80>)
  * Contributors: Kenji Brameld, Lucas Walter, Michael Carroll, ijnek, v4hn

 -- Kenji Brameld <kenjibrameld@gmail.com>  Mon, 30 Jan 2023 00:00:00 -0000

ros-one-theora-image-transport (1.14.0-0jammy) jammy; urgency=high

  * Bump CMake version to avoid CMP0048 warning (#53 <https://github.com/ros-perception/image_transport_plugins/issues/53>)
  * Fix binary install locations for Windows build #34 <https://github.com/ros-perception/image_transport_plugins/issues/34>
  * Contributors: Alejandro Hernández Cordero, David Gossow, Sean Yen

 -- Kenji Brameld <kenjibrameld@gmail.com>  Thu, 14 May 2020 00:00:00 -0000

ros-one-theora-image-transport (1.9.5-0jammy) jammy; urgency=high



 -- Kenji Brameld <kenjibrameld@gmail.com>  Mon, 03 Oct 2016 00:00:00 -0000

ros-one-theora-image-transport (1.9.4-0jammy) jammy; urgency=high

  * address gcc6 build error and tune
    With gcc6, compiling fails with 'stdlib.h: No such file or directory',
    as including '-isystem /usr/include' breaks with gcc6, cf.,
    https://gcc.gnu.org/bugzilla/show_bug.cgi?id=70129.
    This commit addresses this issue for this package in the same way
    it was addressed in various other ROS packages. A list of related
    commits and pull requests is at:
    https://github.com/ros/rosdistro/issues/12783
    Signed-off-by: Lukas Bulwahn <mailto:lukas.bulwahn@oss.bmw-carit.de>
  * Contributors: Lukas Bulwahn

 -- Kenji Brameld <kenjibrameld@gmail.com>  Sun, 02 Oct 2016 00:00:00 -0000

ros-one-theora-image-transport (1.9.3-0jammy) jammy; urgency=high

  * remove useless tf dependencies
  * Contributors: Vincent Rabaud

 -- Kenji Brameld <kenjibrameld@gmail.com>  Sun, 17 Jan 2016 00:00:00 -0000

ros-one-theora-image-transport (1.9.2-0jammy) jammy; urgency=high

  * get code to compile with OpenCV3
  * Contributors: Vincent Rabaud

 -- Kenji Brameld <kenjibrameld@gmail.com>  Sat, 25 Apr 2015 00:00:00 -0000

ros-one-theora-image-transport (1.9.1-0jammy) jammy; urgency=high

  * Some cleanup in package.xml and CMakeLists.txt
    - builds broke sporadically (I think because of the missing *_gencpp in
    add_dependencies) with missing Packet.h file.
    - I’m no catkin expert, but these changes make catkin_lint happy (no
    more errors at least).
  * Contributors: Nikolaus Demmel

 -- Kenji Brameld <kenjibrameld@gmail.com>  Fri, 18 Jul 2014 00:00:00 -0000

ros-one-theora-image-transport (1.9.0-0jammy) jammy; urgency=high

  * remove __connection_header for indigo see http://github.com/ros-perception/image_transport_plugins.git
  * Contributors: Kei Okada

 -- Kenji Brameld <kenjibrameld@gmail.com>  Fri, 16 May 2014 00:00:00 -0000

ros-one-theora-image-transport (1.8.21-0jammy) jammy; urgency=high



 -- Kenji Brameld <kenjibrameld@gmail.com>  Thu, 27 Jun 2013 00:00:00 -0000

ros-one-theora-image-transport (1.8.20-0jammy) jammy; urgency=high

  * 1.8.19 -> 1.8.20
  * fixing missing theoraenc and theoradec library links
  * Contributors: Julius Kammerl

 -- Kenji Brameld <kenjibrameld@gmail.com>  Mon, 18 Mar 2013 00:00:00 -0000

ros-one-theora-image-transport (1.8.19-0jammy) jammy; urgency=high

  * 1.8.18 -> 1.8.19
  * Contributors: Julius Kammerl

 -- Kenji Brameld <kenjibrameld@gmail.com>  Sun, 24 Feb 2013 00:00:00 -0000

ros-one-theora-image-transport (1.8.18-0jammy) jammy; urgency=high

  * 1.8.17 -> 1.8.18
  * fixing input format checks (enabling rgba, bgra) + minor fixes
  * Contributors: Julius Kammerl

 -- Kenji Brameld <kenjibrameld@gmail.com>  Thu, 07 Feb 2013 17:59:00 -0000

ros-one-theora-image-transport (1.8.17-0jammy) jammy; urgency=high

  * 1.8.16 -> 1.8.17
  * fixed color conversion bug in theora_image_transport
  * Contributors: Julius Kammerl

 -- Kenji Brameld <kenjibrameld@gmail.com>  Fri, 18 Jan 2013 00:00:00 -0000

ros-one-theora-image-transport (1.8.16-0jammy) jammy; urgency=high

  * 1.8.15 -> 1.8.16
  * use the pluginlib script to remove some runtime warnings
  * Contributors: Julius Kammerl, Vincent Rabaud

 -- Kenji Brameld <kenjibrameld@gmail.com>  Thu, 17 Jan 2013 00:00:00 -0000

ros-one-theora-image-transport (1.8.15-0jammy) jammy; urgency=high



 -- Kenji Brameld <kenjibrameld@gmail.com>  Fri, 28 Dec 2012 20:11:00 -0000

ros-one-theora-image-transport (1.8.14-0jammy) jammy; urgency=high



 -- Kenji Brameld <kenjibrameld@gmail.com>  Fri, 28 Dec 2012 20:02:00 -0000

ros-one-theora-image-transport (1.8.13-0jammy) jammy; urgency=high

  * fix the bad exports
  * make sure the plugins are visible by image_transport
  * added license headers to various cpp and h files
  * Contributors: Aaron Blasdel, Vincent Rabaud

 -- Kenji Brameld <kenjibrameld@gmail.com>  Fri, 28 Dec 2012 19:06:00 -0000

ros-one-theora-image-transport (1.8.12-0jammy) jammy; urgency=high

  * fix downstream stuff in cmake
  * Contributors: Dirk Thomas

 -- Kenji Brameld <kenjibrameld@gmail.com>  Wed, 19 Dec 2012 19:30:00 -0000

ros-one-theora-image-transport (1.8.11-0jammy) jammy; urgency=high

  * fix cmake order
  * Contributors: Dirk Thomas

 -- Kenji Brameld <kenjibrameld@gmail.com>  Wed, 19 Dec 2012 17:17:00 -0000

ros-one-theora-image-transport (1.8.10-0jammy) jammy; urgency=high

  * fix dyn reconf
  * Contributors: Dirk Thomas

 -- Kenji Brameld <kenjibrameld@gmail.com>  Wed, 19 Dec 2012 17:03:00 -0000

ros-one-theora-image-transport (1.8.9-0jammy) jammy; urgency=high

  * switching to verion 1.8.9
  * fixing dynamic_reconfigure related catkin errors
  * Contributors: Julius Kammerl



=== debian/control ===
Source: ros-one-theora-image-transport
Section: misc
Priority: optional
Maintainer: Kenji Brameld <kenjibrameld@gmail.com>
Build-Depends: debhelper (>= 9.0.0), libogg-dev, libtheora-dev, ros-one-catkin, ros-one-cv-bridge, ros-one-dynamic-reconfigure, ros-one-image-transport, ros-one-message-generation, ros-one-pluginlib, ros-one-rosbag, ros-one-std-msgs
Homepage: http://www.ros.org/wiki/image_transport_plugins
Standards-Version: 3.9.2

Package: ros-one-theora-image-transport
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libogg-dev, libtheora-dev, ros-one-cv-bridge, ros-one-dynamic-reconfigure, ros-one-image-transport, ros-one-message-runtime, ros-one-pluginlib, ros-one-rosbag, ros-one-std-msgs
Description: Theora_image_transport provides a plugin to image_transport for transparently sending an image stream encoded with the Theora codec.

## ros-one-theora-image-transport 1.15.0-9jammy.20260221.0016

=== debian/changelog ===
ros-one-theora-image-transport (1.15.0-9jammy.20260221.0016) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Kenji Brameld <kenjibrameld@gmail.com>  Sat, 21 Feb 2026 00:16:41 +0000

## ros-one-theora-image-transport 1.15.0-9noble.20251023.0334

=== debian/changelog ===
ros-one-theora-image-transport (1.15.0-9noble.20251023.0334) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Kenji Brameld <kenjibrameld@gmail.com>  Thu, 23 Oct 2025 03:34:39 +0000

ros-one-theora-image-transport (1.15.0-0noble) noble; urgency=high

  * Update maintainer in ros1 branches (#132 <https://github.com/ros-perception/image_transport_plugins/issues/132>)
  * Fix copyright year 20012 -> 2012 (#80 <https://github.com/ros-perception/image_transport_plugins/issues/80>)
  * Contributors: Kenji Brameld, Lucas Walter, Michael Carroll, ijnek, v4hn

 -- Kenji Brameld <kenjibrameld@gmail.com>  Mon, 30 Jan 2023 00:00:00 -0000

ros-one-theora-image-transport (1.14.0-0noble) noble; urgency=high

  * Bump CMake version to avoid CMP0048 warning (#53 <https://github.com/ros-perception/image_transport_plugins/issues/53>)
  * Fix binary install locations for Windows build #34 <https://github.com/ros-perception/image_transport_plugins/issues/34>
  * Contributors: Alejandro Hernández Cordero, David Gossow, Sean Yen

 -- Kenji Brameld <kenjibrameld@gmail.com>  Thu, 14 May 2020 00:00:00 -0000

ros-one-theora-image-transport (1.9.5-0noble) noble; urgency=high



 -- Kenji Brameld <kenjibrameld@gmail.com>  Mon, 03 Oct 2016 00:00:00 -0000

ros-one-theora-image-transport (1.9.4-0noble) noble; urgency=high

  * address gcc6 build error and tune
    With gcc6, compiling fails with 'stdlib.h: No such file or directory',
    as including '-isystem /usr/include' breaks with gcc6, cf.,
    https://gcc.gnu.org/bugzilla/show_bug.cgi?id=70129.
    This commit addresses this issue for this package in the same way
    it was addressed in various other ROS packages. A list of related
    commits and pull requests is at:
    https://github.com/ros/rosdistro/issues/12783
    Signed-off-by: Lukas Bulwahn <mailto:lukas.bulwahn@oss.bmw-carit.de>
  * Contributors: Lukas Bulwahn

 -- Kenji Brameld <kenjibrameld@gmail.com>  Sun, 02 Oct 2016 00:00:00 -0000

ros-one-theora-image-transport (1.9.3-0noble) noble; urgency=high

  * remove useless tf dependencies
  * Contributors: Vincent Rabaud

 -- Kenji Brameld <kenjibrameld@gmail.com>  Sun, 17 Jan 2016 00:00:00 -0000

ros-one-theora-image-transport (1.9.2-0noble) noble; urgency=high

  * get code to compile with OpenCV3
  * Contributors: Vincent Rabaud

 -- Kenji Brameld <kenjibrameld@gmail.com>  Sat, 25 Apr 2015 00:00:00 -0000

ros-one-theora-image-transport (1.9.1-0noble) noble; urgency=high

  * Some cleanup in package.xml and CMakeLists.txt
    - builds broke sporadically (I think because of the missing *_gencpp in
    add_dependencies) with missing Packet.h file.
    - I’m no catkin expert, but these changes make catkin_lint happy (no
    more errors at least).
  * Contributors: Nikolaus Demmel

 -- Kenji Brameld <kenjibrameld@gmail.com>  Fri, 18 Jul 2014 00:00:00 -0000

ros-one-theora-image-transport (1.9.0-0noble) noble; urgency=high

  * remove __connection_header for indigo see http://github.com/ros-perception/image_transport_plugins.git
  * Contributors: Kei Okada

 -- Kenji Brameld <kenjibrameld@gmail.com>  Fri, 16 May 2014 00:00:00 -0000

ros-one-theora-image-transport (1.8.21-0noble) noble; urgency=high



 -- Kenji Brameld <kenjibrameld@gmail.com>  Thu, 27 Jun 2013 00:00:00 -0000

ros-one-theora-image-transport (1.8.20-0noble) noble; urgency=high

  * 1.8.19 -> 1.8.20
  * fixing missing theoraenc and theoradec library links
  * Contributors: Julius Kammerl

 -- Kenji Brameld <kenjibrameld@gmail.com>  Mon, 18 Mar 2013 00:00:00 -0000

ros-one-theora-image-transport (1.8.19-0noble) noble; urgency=high

  * 1.8.18 -> 1.8.19
  * Contributors: Julius Kammerl

 -- Kenji Brameld <kenjibrameld@gmail.com>  Sun, 24 Feb 2013 00:00:00 -0000

ros-one-theora-image-transport (1.8.18-0noble) noble; urgency=high

  * 1.8.17 -> 1.8.18
  * fixing input format checks (enabling rgba, bgra) + minor fixes
  * Contributors: Julius Kammerl

 -- Kenji Brameld <kenjibrameld@gmail.com>  Thu, 07 Feb 2013 17:59:00 -0000

ros-one-theora-image-transport (1.8.17-0noble) noble; urgency=high

  * 1.8.16 -> 1.8.17
  * fixed color conversion bug in theora_image_transport
  * Contributors: Julius Kammerl

 -- Kenji Brameld <kenjibrameld@gmail.com>  Fri, 18 Jan 2013 00:00:00 -0000

ros-one-theora-image-transport (1.8.16-0noble) noble; urgency=high

  * 1.8.15 -> 1.8.16
  * use the pluginlib script to remove some runtime warnings
  * Contributors: Julius Kammerl, Vincent Rabaud

 -- Kenji Brameld <kenjibrameld@gmail.com>  Thu, 17 Jan 2013 00:00:00 -0000

ros-one-theora-image-transport (1.8.15-0noble) noble; urgency=high



 -- Kenji Brameld <kenjibrameld@gmail.com>  Fri, 28 Dec 2012 20:11:00 -0000

ros-one-theora-image-transport (1.8.14-0noble) noble; urgency=high



 -- Kenji Brameld <kenjibrameld@gmail.com>  Fri, 28 Dec 2012 20:02:00 -0000

ros-one-theora-image-transport (1.8.13-0noble) noble; urgency=high

  * fix the bad exports
  * make sure the plugins are visible by image_transport
  * added license headers to various cpp and h files
  * Contributors: Aaron Blasdel, Vincent Rabaud

 -- Kenji Brameld <kenjibrameld@gmail.com>  Fri, 28 Dec 2012 19:06:00 -0000

ros-one-theora-image-transport (1.8.12-0noble) noble; urgency=high

  * fix downstream stuff in cmake
  * Contributors: Dirk Thomas

 -- Kenji Brameld <kenjibrameld@gmail.com>  Wed, 19 Dec 2012 19:30:00 -0000

ros-one-theora-image-transport (1.8.11-0noble) noble; urgency=high

  * fix cmake order
  * Contributors: Dirk Thomas

 -- Kenji Brameld <kenjibrameld@gmail.com>  Wed, 19 Dec 2012 17:17:00 -0000

ros-one-theora-image-transport (1.8.10-0noble) noble; urgency=high

  * fix dyn reconf
  * Contributors: Dirk Thomas

 -- Kenji Brameld <kenjibrameld@gmail.com>  Wed, 19 Dec 2012 17:03:00 -0000

ros-one-theora-image-transport (1.8.9-0noble) noble; urgency=high

  * switching to verion 1.8.9
  * fixing dynamic_reconfigure related catkin errors
  * Contributors: Julius Kammerl



=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/one/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_configure -- \
		-DFETCHCONTENT_FULLY_DISCONNECTED=OFF \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/one" \
		-DCMAKE_PREFIX_PATH="/opt/ros/one" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-one-theora-image-transport//opt/ros/one/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_install

## ros-one-theora-image-transport 1.15.0-9noble.20260221.0043

=== debian/changelog ===
ros-one-theora-image-transport (1.15.0-9noble.20260221.0043) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Kenji Brameld <kenjibrameld@gmail.com>  Sat, 21 Feb 2026 00:43:49 +0000
